<template>
    <el-tabs type="border-card">
        <el-tab-pane label="Finti report">
            <span slot="label"><i class="el-icon-data-analysis"></i>Finti report</span>
            <el-table :data='tableData' style="width: 100%">
                <el-table-column prop="name" label="Name" :sortable="false" :width="300"></el-table-column>
                <el-table-column prop="surname" label="Surname" :sortable="false" :width="300"></el-table-column>
                <el-table-column prop="age" label="Age" :sortable="false" :width="300"></el-table-column>
                <el-table-column prop="nickname" label="Nickname" :sortable="false" :width="300"></el-table-column>
                <el-table-column prop="birth" label="Year birth" :sortable="false" :width="300"></el-table-column>
            </el-table>
        </el-tab-pane>
        <el-tab-pane>
            <span slot="label"><i class="el-icon-edit"></i>Finto form</span>
            <el-form label-position="left" label-width="100px">
                <el-form-item label="Nome">
                    <el-input placeholder="Nome"></el-input>
                </el-form-item>
                <el-form-item label="CognomeASD">
                    <el-input placeholder="Cognome"></el-input>
                </el-form-item>
                <el-form-item label="Email">
                    <el-input placeholder="Email"></el-input>
                </el-form-item>
                <el-form-item label="Telefono">
                    <el-input placeholder="Telefono"></el-input>
                </el-form-item>
                <el-form-item label="Note">
                    <el-input type="textarea" placeholder="Note"></el-input>
                </el-form-item>
            </el-form>
        </el-tab-pane>
        <el-tab-pane>
            <span slot="label"><i class="el-icon-s-data"></i>Finti grafici</span>
        </el-tab-pane>
    </el-tabs>
</template>
<script>

export default {
    name: "Home",
    data() {
        return {
            tableData: [
                {name: "Rodolfo", surname: "Bevione", age: 26, nickname: "rododo93", email: "rodolfo.bevione@gmail.com", birth: 1993},
                {name: "Emanuele", surname: "Forneris", age: 24, nickname: "fornaro", email: "eforneris@kpmg.it", birth: 1996},
                {name: "Ilaria", surname: "Rilando", age: 25, nickname: "iaia", email: "ilaria.condizionata@live.com", birth: 1994}
            ]
        };
    },
    computed: {
        user() {
            return this.$store.state.user;
        }
    }
};
</script>
